Subject: [bug#49329] [PATCH 1/4] gnu: python2-renpy: Drop unused Ren'py sources.

From: Leo Prikler <[email-masked]>
Date: Sun, 11 Jul 2021 11:53:02 +0200

Hi simon,

Am Sonntag, den 11.07.2021, 10:28 +0200 schrieb zimoun:
> Hi Leo,
> 
> On Sat, 03 Jul 2021 at 10:35, Leo Prikler <
> [email-masked]> wrote:
> 
> > I must admit, I haven't been following the Python 2 removal plan
> > too
> > closely.  Is it already time to move working leaf packages?
> 
> The Python EOL is January, 1rst 2020 [1].  So now, we are 1.5 years
> ahead, so yes it seems already time to cook a plan. :-)
> 
> However, there is no consensus about such plan. ;-)  Some related
> discussions:
I know, but to be fair, we aren't the only ones behind on the Python
removal.  Python 2 is very much a zombie at this point, still kept
alive by other (mostly dead, but some live) projects that people rely
on for various reasons.

> 2018-12: <https://yhetil.org/guix/20181226093812.GR2581@macbook41/>
> 2019-10: <
> https://yhetil.org/guix/CAJ3okZ33HsXxgVgK3XyVHvYUfDUrbcwBnOn7FC6=[email-masked]/
> >
> 2019-11: <http://issues.guix.gnu.org/issue/38420>  Failed attempt to
> cook something
> 2021-01: <https://yhetil.org/guix/[email-masked]/>
> 
> From my understanding, the “implemented” plan is described by Maxim
> here:
> 
>    <https://yhetil.org/guix/[email-masked]/>
Using this plan as a starting point, I think renpy counts as a non-
variant package relying on some python2-variant.

> I just want to point that it is less work to transfer a functional
> and
> supported by upstream package than to transfer a package starting to
> have issues.  Other said, I think it is easier to find motivation to
> do
> the transfer for this previous case than to do some “janitor” work
> later.  For what my opinion is worth. :-)
Fair enough, I could open up a merge request to have renpy in Guix Past
"ahead of time", but OTOH I feel like `guix time-machine` offers
similar benefits.  If we're going to *mirror* python packages, because
they will soon be broken, I think it would also be a good idea to start
from python2 instead of leaf packages.

Regards,
Leo